Bug 175019 - cad/impact: Update to version 0.7.06.038
Summary: cad/impact: Update to version 0.7.06.038
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-05 18:10 UTC by tkato432
Modified: 2013-02-08 02:00 UTC (History)
0 users

See Also:


Attachments
file.diff (4.10 KB, patch)
2013-01-05 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-01-05 18:10:03 UTC
- Update to version 0.7.06.038
Comment 1 Marcelo Araujo freebsd_committer 2013-01-18 06:10:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2013-02-08 01:58:51 UTC
State Changed
From-To: open->closed

- Take 


Comment 3 Martin Wilke freebsd_committer 2013-02-08 01:58:51 UTC
Responsible Changed
From-To: araujo->miwi

Committed
Comment 4 dfilter service freebsd_committer 2013-02-08 01:58:59 UTC
Author: miwi
Date: Fri Feb  8 01:58:49 2013
New Revision: 311899
URL: http://svnweb.freebsd.org/changeset/ports/311899

Log:
  - Update to 0.7.06.038
  
  PR:		175019
  Submitted by:	Ports Fury

Modified:
  head/cad/impact/Makefile   (contents, props changed)
  head/cad/impact/distinfo   (contents, props changed)
  head/cad/impact/files/impact.in   (contents, props changed)
  head/cad/impact/files/impactgui.in   (contents, props changed)

Modified: head/cad/impact/Makefile
==============================================================================
--- head/cad/impact/Makefile	Fri Feb  8 01:57:39 2013	(r311898)
+++ head/cad/impact/Makefile	Fri Feb  8 01:58:49 2013	(r311899)
@@ -2,7 +2,8 @@
 # $FreeBSD$
 
 PORTNAME=	impact
-PORTVERSION=	0.7.5.3
+PORTVERSION=	0.7.06.038
+PORTEPOCH=	1
 CATEGORIES=	cad java
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/Version%20${PORTVERSION}
 DISTNAME=	Impact-${PORTVERSION}
@@ -10,26 +11,44 @@ DISTNAME=	Impact-${PORTVERSION}
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Dynamic Finite Element Program Suite
 
-USE_ZIP=	yes
+RUN_DEPENDS=	java3d>0:${PORTSDIR}/java/java3d
+
 WRKSRC=		${WRKDIR}/Impact
+NO_BUILD=	yes
+
+USE_ZIP=	yes
 USE_JAVA=	yes
 JAVA_VERSION=	1.6+
-NO_BUILD=	yes
 
-DATADIR=	${JAVASHAREDIR}/${PORTNAME}
+DATADIR=	${JAVASHAREDIR}/Impact
+
 SUB_FILES=	impact impactgui
 
-PLIST_FILES=	bin/impact bin/impactgui
+PLIST=		${WRKDIR}/PLIST
+
+pre-install:
+	@${ECHO_CMD} -n > ${PLIST}
+	@${ECHO_CMD} "bin/impact" >> ${PLIST}
+	@${ECHO_CMD} "bin/impactgui" >> ${PLIST}
+	@(cd ${WRKDIR} && ${FIND} Impact ! -type d | ${GREP} -v \
+		-e "CVS" -e "lib_j3d" -e "\.bat" -e "\.dll" -e "\.ico" \
+		-e "\.jnilib" -e "\.sh" -e "\.so" | ${SORT} | \
+		${SED} "s|^Impact|%%DATADIR%%|" >> ${PLIST})
+	@(cd ${WRKDIR} && ${FIND} Impact -type d | ${GREP} -v \
+		-e "CVS" -e "lib_j3d" -e "\.bat" -e "\.dll" -e "\.ico" \
+		-e "\.jnilib" -e "\.sh" -e "\.so" | ${SORT} -r | \
+		${SED} "s|^Impact|@dirrm %%DATADIR%%|" >> ${PLIST})
 
 do-install:
-	cd ${WRKSRC} && ${FIND} . -type d -exec ${MKDIR} ${DATADIR}/{} \;
-	cd ${WRKSRC} && ${FIND} . -type f -exec ${INSTALL_DATA} {} ${DATADIR}/{} \;
-	${INSTALL_SCRIPT} ${WRKDIR}/impact ${WRKDIR}/impactgui ${PREFIX}/bin
-
-post-install:
-	@${FIND} ${DATADIR} ! -type d | \
-		${SED} 's,^${PREFIX}/,,' >> ${TMPPLIST}
-	@${FIND} ${DATADIR} -type d | ${SORT} -r | \
-		${SED} 's,^${PREFIX}/,@dirrm ,' >> ${TMPPLIST}
+	${INSTALL_SCRIPT} ${WRKDIR}/impact ${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKDIR}/impactgui ${PREFIX}/bin
+	@${MKDIR} ${DATADIR}
+	@(${TAR} -C ${WRKSRC} --exclude "CVS" --exclude "lib_j3d" \
+		--exclude "*.bat" --exclude "*.dll" --exclude "*.ico" \
+		--exclude "*.jnilib" --exclude "*.sh" --exclude "*.so" \
+		-cf - . | ${TAR} -C ${DATADIR} --unlink -xf -)
+	@${FIND} ${DATADIR} | ${XARGS} ${CHOWN} ${SHAREOWN}:${SHAREGPR}
+	@${FIND} ${DATADIR} -type d | ${XARGS} ${CHMOD} a+rx
+	@${FIND} ${DATADIR} -type f | ${XARGS} ${CHMOD} ${SHAREMODE}
 
 .include <bsd.port.mk>

Modified: head/cad/impact/distinfo
==============================================================================
--- head/cad/impact/distinfo	Fri Feb  8 01:57:39 2013	(r311898)
+++ head/cad/impact/distinfo	Fri Feb  8 01:58:49 2013	(r311899)
@@ -1,2 +1,2 @@
-SHA256 (Impact-0.7.5.3.zip) = 76739f52edd7131fdd53b58ae15441d918dca15f24b4649d4143aa823e6dd7cc
-SIZE (Impact-0.7.5.3.zip) = 6767727
+SHA256 (Impact-0.7.06.038.zip) = 85ad4a1506a5dd22adc020b44cb9adf27d77253fcf84b4d1b8a339e2e3922ed6
+SIZE (Impact-0.7.06.038.zip) = 13757964

Modified: head/cad/impact/files/impact.in
==============================================================================
--- head/cad/impact/files/impact.in	Fri Feb  8 01:57:39 2013	(r311898)
+++ head/cad/impact/files/impact.in	Fri Feb  8 01:58:49 2013	(r311899)
@@ -2,6 +2,6 @@
 #
 # $FreeBSD$
 
-cd %%DATADIR%%/bin
-JAVA_VERSION="%%JAVA_VERSION%%" "%%LOCALBASE%%/bin/java" -Xmx500m run.Impact "$@"
+cd %%DATADIR%%
+JAVA_VERSION="%%JAVA_VERSION%%" "%%LOCALBASE%%/bin/java" -Xmx1000m -Xss1m -cp .:doc:bin run.Impact "$@"
 cd -

Modified: head/cad/impact/files/impactgui.in
==============================================================================
--- head/cad/impact/files/impactgui.in	Fri Feb  8 01:57:39 2013	(r311898)
+++ head/cad/impact/files/impactgui.in	Fri Feb  8 01:58:49 2013	(r311899)
@@ -2,6 +2,6 @@
 #
 # $FreeBSD$
 
-cd %%DATADIR%%/bin
-JAVA_VERSION="%%JAVA_VERSION%%" "%%LOCALBASE%%/bin/java" -Xmx500m gui.ImpactGUI
+cd %%DATADIR%%
+JAVA_VERSION="%%JAVA_VERSION%%" "%%LOCALBASE%%/bin/java" -Xmx1000m -Xss1m -cp .:bin:doc:lib/jogl.jar:lib/gluegen-rt.jar:lib/patbinfree153.jar:lib/LogDB.jar:lib/mysql-connector-java-5.1.11-bin.jar gui.ImpactGUI
 cd -
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"